Send formatted message
curl --request POST \
--url https://{host}/Agent/Xmpp/SendFormattedMessage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"to": "bob@neuron.example.com",
"message": "# Hello\n\n**Bold** and _italic_ text.",
"subject": "",
"language": "en",
"id": ""
}
'import requests
url = "https://{host}/Agent/Xmpp/SendFormattedMessage"
payload = {
"to": "bob@neuron.example.com",
"message": "# Hello
**Bold** and _italic_ text.",
"subject": "",
"language": "en",
"id": ""
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
to: 'bob@neuron.example.com',
message: '# Hello\n\n**Bold** and _italic_ text.',
subject: '',
language: 'en',
id: ''
})
};
fetch('https://{host}/Agent/Xmpp/SendFormattedMessage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sent": true,
"id": "msg-67890"
}XMPP messaging
Send formatted message
Send a Markdown message with text and HTML representations
POST
/
Agent
/
Xmpp
/
SendFormattedMessage
Send formatted message
Overview
Send a formatted chat message. Provide Markdown inmessage and the server
creates plain text and HTML representations for recipients to choose from.
Authentication
Requires a valid JWT bearer token.Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
⌘I